var rigaAvversario = 0

function RV(IDSquadra, IDGiocatore, Ruolo, IDQuot, ListaGio, ListaFormatoGio, ListaStat, ListaFormatoStat) {
	this.IDSquadra = IDSquadra
		this.IDGiocatore = IDGiocatore
		// vale:
		// 0: titoli di colonna
		// >0: riga di giocatore
		// -1: riga dei tot/parz
		// -2: riga dell mv
		// -3: riga delle fm
		// -4: riga dell'avversario
		// -5: riga del risultato
		this.Ruolo = Ruolo
		this.IDQuot = IDQuot
		// nome del quotidiano
		this.ListaGio = ListaGio
		// contiene la lista, separata da % con i valori del giocatore
		this.ListaFormatoGio = ListaFormatoGio
		// e' composto da due cifre di cui la prima indica il colore e la seconda lo stile
		// prima cifra
		//  0 = bianco
		//  1 = rosso
		//  2 = ciano
		//  3 = verde
		//  4 = giallo
		//  x+5 = colore primo piano = grigio
		// seconda cifra (bit)
		//  0 = normale
		//  1 = neretto
		//  2 = corsivo
		//  4 = sottolineato
		// quindi le combinazioni sono: 0=-,1=B,2=I,3=BI,4=S,5=SB,6=SI,7=SBI
		this.ListaStat = ListaStat
		// valori separati da % con le statistiche (26 valori)
		this.ListaFormatoStat = ListaFormatoStat
}

function BM(fantaGiornata, Ruolo, IDGiocatore, Nome, idSq, Squadra, idFsq, Fantasquadra, Assist, Espulsioni,  Ammonizioni, GolSubiti,GolSubitiSuRigore, RigoreParato, Gol,Pareggio, Vittoria, Rigori, RigoriSbagliati, Autogol, Voto, Fantavoto, fmt) {
	this.Fantagiornata = fantaGiornata
		this.Ruolo = Ruolo
		this.IDGiocatore = IDGiocatore
		this.Nome = Nome
		this.idSq = idSq
		this.Squadra = Squadra
		this.idFsq = idFsq
		this.Fantasquadra = Fantasquadra
		this.Assist = Assist
		this.Espulsioni = Espulsioni
		this.Voto = Voto
		this.Fantavoto = Fantavoto
		this.Ammonizioni = Ammonizioni
		this.GolSubiti = GolSubiti
		this.GolSubitiSuRigore = GolSubitiSuRigore
		this.RigoreParato = RigoreParato
		this.Gol = Gol
		this.Pareggio = Pareggio
		this.Vittoria = Vittoria
		this.Rigori = Rigori
		this.RigoriSbagliati = RigoriSbagliati
		this.Autogol = Autogol
		this.fmt = fmt //formattazione della cella
}

function BMC(Fantagiornata, Ruolo, IDGiocatore, Nome, idSq, Squadra, idFsq, Fantasquadra, Assist, Espulsioni,  Ammonizioni, GolSubiti,GolSubitiSuRigore, RigoreParato, Gol,Pareggio, Vittoria, Rigori, RigoriSbagliati, Autogol, Voto, Fantavoto, fmt) {
	this.Fantagiornata = Fantagiornata
		this.Ruolo = Ruolo
		this.IDGiocatore = IDGiocatore
		this.Nome = Nome
		this.Squadra = Squadra
		this.idFsq = idFsq
		this.Fantasquadra = Fantasquadra
		this.Assist = Assist
		this.Espulsioni = Espulsioni
		this.Voto = Voto
		this.Fantavoto = Fantavoto
		this.Ammonizioni = Ammonizioni
		this.GolSubiti = GolSubiti
		this.GolSubitiSuRigore = GolSubitiSuRigore
		this.RigoreParato = RigoreParato
		this.Gol = Gol
		this.Pareggio = Pareggio
		this.Vittoria = Vittoria
		this.Rigori = Rigori
		this.RigoriSbagliati = RigoriSbagliati
		this.Autogol = Autogol
		this.fmt = fmt //formattazione della cella
}


function GeneraBonusMalusDati(IDSq, IDGio, IDQuot, ordine, bonusMalus, filtroGiocatori) {
	var i, j, f, fmt

	var arrAutogol = new Object()
	var arrAssist = new Object()
	var arrRigoreSbagliato = new Object()
	var arrGolSubito = new Object()
	var arrGolSubitoSuRigore = new Object()
	var arrGol = new Object()
	var arrRigore = new Object()
	var arrRigoreParato = new Object()
	var arrRigoreTemp = new Object()

	var arrDati = new Object()
	var arrDatiF = new Object()

	var arrBonusMalus = new Array()
	bm = arrBonusMalus
	var bmID = 0

	var arrRV = aUnico
	var riga, pd, grigio

	riga = 1
	var trovatoBM

		for (i = 1; i < arrRV.length; i++) {
			if (arrRV[i].IDQuot==IDQuot) {
			if(arrRV[i].IDGiocatore==-1) break; //se scorrendo il registro voti si arriva all'ID -1 vuol dire che la lista giocatori è stata analizzata, e inizia la parte delle statistiche complessive.
			try{
			if (arrRV[i].IDQuot == IDQuot) {
				arrDati = arrRV[i].ListaGio.split("%")
				arrDatiF = arrRV[i].ListaFormatoGio.split("%")

					if ((riga % 2) == 0) {
						pd = "D"
					} else {
						pd = "P"
					}

					for (j = 0; j < GetUltimaGiornataGiocata(); j++) {
						trovatoBM=false
					
						arrDati[j] = arrDati[j].replace(')','');
						arrDati[j] = arrDati[j].replace(']','');
						arrDati[j] = arrDati[j].replace(',','.');
						
						
					var f=parseInt(arrDatiF[j])
					var fmt
					if (f>=50) {
						grigio="Grigio"
						f=f-50
					} else {
						grigio=""
					}
					if (f<10) {
						// bianco
						fmt="CellaCentro"
					} else if (f>=10 && f<20) {
						// rosso
						fmt="CellaRvRosso"+grigio
					} else if (f>=20 && f<30) {
						// rosso
						fmt="CellaRvCiano"+grigio
					} else if (f>=30 && f<40) {
						// rosso
						fmt="CellaRvVerde"+grigio
					} else if (f>=40 && f<50) {
						// rosso
						fmt="CellaRvGiallo"+grigio
					} else {
						fmt="CellaCentro"
					}
						
						var espulsioni=0
						var ammonizioni=0
						var pareggio=0
						var vittoria=0
						
						var fantaGiornata = j + iGio
						
						try{
						var nome = eval("xg" + arrRV[i].IDGiocatore)
						
						for(var p=1;p<arrGiocatoriA.length;p++) { 
						
     						check = ("xg"+arrGiocatoriA[p].ID) 
							var nomeCompleto=eval(check)
         					if (nomeCompleto.indexOf(nome) !== -1) { 
    							var IDGiocatore=arrGiocatoriA[p].Codice 
								var sq=eval("xa"+arrGiocatoriA[p].IDSquadra)
								var idSq=arrGiocatoriA[p].IDSquadra
         					} 
   						} 
						} catch(err){document.write("<br>Errore sul giocatore: "+err+"<br>Nome: "+nome+"<br>ID: "+arrRV[i].IDGiocatore)}
						
						var idFsq = arrRV[i].IDSquadra

						var x = 1 
						while (arrFantasquadre[x].ID != arrRV[i].IDSquadra) {
							x++
						}

						var fsq = arrFantasquadre[x].Nome

						var Ruolo = arrRV[i].Ruolo

							
							// Ricerca di caratteri nella stringa del voto
						var inputString = arrDati[j];
						
						var findme = "E"; //Ricerca delle Espulsioni
						if ( inputString.indexOf(findme) > -1 ) {
							espulsioni=1
							trovatoBM=true
							arrDati[j] = arrDati[j].replace('E','');
						} 
						
						var findme = "A"; //Ricerca delle Ammonizioni
						if ( inputString.indexOf(findme) > -1 ) {
							ammonizioni=1
							trovatoBM=true
							arrDati[j] = arrDati[j].replace('A','');
						} 
						
						var findme = "P"; //Ricerca del Gol Pareggio
						if ( inputString.indexOf(findme) > -1 ) {
							pareggio=1
							trovatoBM=true
							arrDati[j] = arrDati[j].replace('P','');
						} 
						
						var findme = "V"; 
						if ( inputString.indexOf(findme) > -1 ) {
							vittoria=1
							trovatoBM=true
							arrDati[j] = arrDati[j].replace('V','');
						} 
						
						arrAutogol = arrDati[j].split("_")
						var autogol = arrAutogol[1]
						if(autogol==null){autogol=0}
						if (autogol > 0) {trovatoBM=true}
						
						
						
						arrRigoreSbagliato = arrAutogol[0].split("#")
						var rigoreSbagliato = arrRigoreSbagliato[1]
						if(rigoreSbagliato==null){rigoreSbagliato=0}
						if (rigoreSbagliato > 0) {trovatoBM=true}
						
						
						
						arrAssist = arrRigoreSbagliato[0].split(">")
						var assist = arrAssist[1]
						if(assist==null){assist=0}
						if (assist > 0) {trovatoBM=true}
						
						
						
						
						

						arrRigore = arrAssist[0].split("(")
						var rigore = arrRigore[1]
						if(rigore==null){rigore=0}
						if (rigore > 0) {trovatoBM=true}
						
						arrGol = arrRigore[0].split("+")
						var gol = arrGol[1]
						if(gol==null){gol=0}
						if (gol > 0) {trovatoBM=true}
						
						arrRigoreParato = arrGol[0].split("!")
						var rigoreParato = arrRigoreParato[1]
						if(rigoreParato==null){rigoreParato=0}
						if (rigoreParato > 0) {trovatoBM=true}
						
						arrGolSubitoSuRigore = arrRigoreParato[0].split("[")
						var golSubitoSuRigore = arrGolSubitoSuRigore[1]
						if(golSubitoSuRigore==null){golSubitoSuRigore=0}
						if (golSubitoSuRigore > 0) {trovatoBM=true}
						
						arrGolSubito = arrGolSubitoSuRigore[0].split("-")
						var golSubito = arrGolSubito[1]
						if(golSubito==null){golSubito=0}
						if (golSubito > 0) {trovatoBM=true}
						
						var voto=arrGolSubito[0]
						var fantaVoto
						
						if(voto=="sv/ng"){fantaVoto=-100}else{
						fantaVoto = Math.abs(voto) + Math.abs(assist)*puntoAssist + Math.abs(espulsioni)*puntoEsp + Math.abs(ammonizioni)*puntoAmm + (Math.abs(golSubito)-Math.abs(golSubitoSuRigore))*puntoGolSubito + Math.abs(golSubitoSuRigore)*puntoRigoreSubito + Math.abs(rigoreParato)*puntoRigoreParato + (Math.abs(gol)-Math.abs(rigore))*puntoGol + Math.abs(pareggio)*puntoGolPareggio + Math.abs(vittoria)*puntoGolVittoria + Math.abs(rigore)*puntoRigore + Math.abs(rigoreSbagliato)*puntoRigoreSbagliato + Math.abs(autogol)*puntoAutogol 
						}
						
						
						if(trovatoBM||filtroGiocatori=="si"||((fantaVoto>-100)&&filtroGiocatori=="conVoto")){
							bm[bmID] = new BM(fantaGiornata, Ruolo, IDGiocatore, nome, idSq, sq, idFsq, fsq, assist, espulsioni, ammonizioni,golSubito,golSubitoSuRigore, rigoreParato, gol, pareggio, vittoria, rigore, rigoreSbagliato, autogol, voto, fantaVoto, fmt)
							bmID++
						}

					}

					riga++
			}
			}
			catch(err){}
			}
		}
}